package com.persagy.adm.diagram.core.model;

import com.google.gson.annotations.Expose;
import com.persagy.adm.diagram.core.model.base.AbstractComponent;

/**
 * 系统图上的节点(设备图例、显示标签等)
 * @author zhaoyk
 */
abstract public class DiagramNode extends AbstractComponent {

	/**
	 * 所属容器id
	 */
	@Expose
	private String containerId;

	/**
	 * 布局序号，为-1时表示坐标定位
	 */
	@Expose
	private int layoutIndex;

	/**
	 * 绑定的数据对象
	 */
	private Object dataObject;

	public String getContainerId() {
		return containerId;
	}

	public void setContainerId(String containerId) {
		this.containerId = containerId;
	}

	public int getLayoutIndex() {
		return layoutIndex;
	}

	public void setLayoutIndex(int layoutIndex) {
		this.layoutIndex = layoutIndex;
	}

	public Object getDataObject() {
		return dataObject;
	}

	public void setDataObject(Object dataObject) {
		this.dataObject = dataObject;
	}

}
